
Redmine - Defect #30234

Redmine 4.0 - ActionView::Template::Error

2018-12-17 10:51 - Zoltan Beck

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 4.0.0

Description

Dear members.

upgraded to 4.0 I get the following error if I want to click on Administration -> Settings tab:

 Processing by SettingsController#index as HTML

Current user: systemsolution (id=1)

Rendering settings/edit.html.erb within layouts/admin

Rendered settings/_general.html.erb (3.2ms)

Rendered settings/_display.html.erb (8.3ms)

Rendered settings/_authentication.html.erb (6.2ms)

Rendered settings/_api.html.erb (0.7ms)

Rendered settings/_projects.html.erb (5.3ms)

Rendered settings/_users.html.erb (22.6ms)

Rendered settings/_issues.html.erb (2.8ms)

Rendered common/_tabs.html.erb (53.6ms)

Rendered settings/edit.html.erb within layouts/admin (54.0ms)

Completed 500 Internal Server Error in 63ms (ActiveRecord: 5.0ms)

ActionView::Template::Error (undefined method `close_duplicate_issues' for #<Class:0x0000000815d02f10>):

7:

8: <p><%= setting_select :cross_project_subtasks, cross_project_subtasks_options ></p>

9:

10: <p><= setting_check_box :close_duplicate_issues ></p>

11:

12: <p><= setting_check_box :issue_group_assignment %></p>

13:

app/helpers/settings_helper.rb:51:in `setting_value'

app/helpers/settings_helper.rb:98:in `setting_check_box'

app/views/settings/_issues.html.erb:10:in `block in app_views_settings_issues_html_erb__1315581152634796430_17378251020'

app/views/settings/_issues.html.erb:1:in `_app_views_settings__issues_html_erb__1315581152634796430_17378251020'

app/views/common/_tabs.html.erb:17:in `block in app_views_common_tabs_html_erb__2808514798796251866_17291191340'

app/views/common/_tabs.html.erb:16:in `each'

app/views/common/_tabs.html.erb:16:in `_app_views_common__tabs_html_erb__2808514798796251866_17291191340'

app/helpers/application_helper.rb:386:in `render_tabs'

app/views/settings/edit.html.erb:5:in `_app_views_settings_edit_html_erb___4405938101042385110_17291525720'

app/controllers/settings_controller.rb:31:in `index'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2018-12-17 12:08 - Pavel Rosický

it looks like config/settings.yml is from the old version, did you follow http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade ?

#2 - 2018-12-17 19:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Indeed, this setting was added in 4.0.0. Please, do not keep your settings.yml from a previous version.
#3 - 2019-01-30 22:41 - Anne Hammond

I am getting the same Internal error when selecting Administration / Settings under redmine 4.0.1.

settings.yml is the default from 4.0.1:

rw-rw-r- 1 apache apache 6277 Jan  7 13:25 settings.yml

Error from production.log:

ActionView::Template::Error (undefined method `close_duplicate_issues' for #<Class:0x0000000004353a28>):

I did follow upgrade instructions.

config/configuration.yml

config/databse.yml

are from the previous install 3.2.0

#4 - 2019-01-30 22:52 - Anne Hammond

I downloaded settings.yml from

https://svn.redmine.org/redmine/trunk/config/settings.yml

[root@redmine2 config]# wc -l settings.yml settings.yml4.0.1

312 settings.yml

292 settings.yml4.0.1

< close_duplicate_issues:

<   default: 1

is in trunk but not in 4.0.1 download.

#5 - 2019-01-30 23:28 - Go MAEDA

Anne Hammond wrote:

I am getting the same Internal error when selecting Administration / Settings under redmine 4.0.1.

settings.yml is the default from 4.0.1:

rw-rw-r- 1 apache apache 6277 Jan  7 13:25 settings.yml

 No, The settings.yml is from Redmine 3.4. The size should be 6599 bytes in Redmine 4.0.1.
